// 报表函数库
import apis from "../apis_moudles/index";
import req from "../request";

//创建预授权
const AUTHORIZECREATE = function (data) {
  return req.post(apis.createAuthorize, data);
};

//预授权列表
const AUTHORIZELIST = function (data) {
  return req.post(apis.authorizeList, data);
};

//预授权详情
const AUTHORIZEDETAIL = function (data) {
  return req.post(apis.authorizeDetail, data);
};

//预授权修改
const AUTHORIZEUPDATE = function (data) {
  return req.post(apis.authorizeUpdate, data);
};

//预授权删除
const AUTHORIZEDELETE = function (data) {
  return req.post(apis.authorizeDelete, data);
};

// 对象数组
export default {
  AUTHORIZECREATE,
  AUTHORIZELIST,
  AUTHORIZEDETAIL,
  AUTHORIZEUPDATE,
  AUTHORIZEDELETE,
};
